Information Exposure Affecting org.apache.druid.extensions:druid-hdfs-storage Open this link in a new tab package, versions [,0.22.0)


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHEDRUIDEXTENSIONS-1315796

  • published

    2 Jul 2021

  • disclosed

    2 Jul 2021

  • credit

    chybeta

How to fix?

Upgrade org.apache.druid.extensions:druid-hdfs-storage to version 0.22.0 or higher.

Overview

Affected versions of this package are vulnerable to Information Exposure. In the Druid ingestion system, the InputSource is used for reading data from a certain data source. However, the HTTP InputSource allows authenticated users to read data from other sources than intended, such as the local file system, with the privileges of the Druid server process. This is not an elevation of privilege when users access Druid directly, since Druid also provides the Local InputSource, which allows the same level of access. But it is problematic when users interact with Druid indirectly through an application that allows users to specify the HTTP InputSource, but not the Local InputSource. In this case, users could bypass the application-level restriction by passing a file URL to the HTTP InputSource.